<?php
// $Id$

/**
 * @file
 * View callbacks for the camtasia_relay_views module.
 */
 
/**
 * Implementation of hook_views_data().
 *
 * @return array
 */
function camtasia_relay_views_views_data() {
  $data['camtasia_relay']['table']['group'] = t('Camtasia Relay');

  $data['camtasia_relay']['table']['join'] = array(
    'node' => array(
      'left_field' => 'nid',
      'field' => 'nid',
    ),
  );

  $data['camtasia_relay']['title'] = array(
    'title' => t('Title'),
    'help' => t('The Title of the media.'),
    // Information for displaying the field
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
  );
  $data['camtasia_relay']['body'] = array(
    'title' => t('Description'),
    'help' => t('The Description of the media.'),
    // Information for displaying the field
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
  );
  $data['camtasia_relay']['date'] = array(
    'title' => t('Date'),
    'help' => t('The Date of the media.'),
    // Information for displaying the field
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
  );

  $data['camtasia_relay']['profile'] = array(
    'title' => t('Profile'),
    'help' => t('The Profile of the media.'),
    // Information for displaying the field
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
  );

  $data['camtasia_relay']['display_name'] = array(
    'title' => t('Display Name'),
    'help' => t('The Display Name of the media.'),
    // Information for displaying the field
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
  );

  $data['camtasia_relay']['user_name'] = array(
    'title' => t('User Name'),
    'help' => t('The User Name of the media.'),
    // Information for displaying the field
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
  );

  $data['camtasia_relay']['email'] = array(
    'title' => t('Email'),
    'help' => t('The Email of the media.'),
    // Information for displaying the field
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
  );

   $data['camtasia_relay']['recorder_display_name'] = array(
    'title' => t('Recorder Display Name'),
    'help' => t('The Display Name of the media.'),
    // Information for displaying the field
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
  );

  $data['camtasia_relay']['recorder_email'] = array(
    'title' => t('Recorder Email'),
    'help' => t('The Email of the media.'),
    // Information for displaying the field
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
  );
  
  $data['camtasia_relay']['trimmed_duration'] = array(
    'title' => t('Duration'),
    'help' => t('The Duration of the media.'),
    // Information for displaying the field
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_string',
      'help' => t('Filter the content based on Duration.'),
      'label' => 'Duration',
    ),
  );

  return $data;
}